package cn.com.qmth.examcloud.core.questions.service.yunkai;

import java.util.List;

import org.springframework.web.multipart.MultipartFile;

import cn.com.qmth.examcloud.api.commons.security.bean.User;
import cn.com.qmth.examcloud.core.questions.dao.entity.Course;
import cn.com.qmth.examcloud.core.questions.dao.entity.CourseProperty;

public class YunkaiImportPaperParam {
	private User user;
	private MultipartFile dataFile;
	private Long rootOrgId;
	private List<String> courseCodes;
	private CourseProperty courseProperty;
	private String batch;

	private Course course;

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	public MultipartFile getDataFile() {
		return dataFile;
	}

	public void setDataFile(MultipartFile dataFile) {
		this.dataFile = dataFile;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public List<String> getCourseCodes() {
		return courseCodes;
	}

	public void setCourseCodes(List<String> courseCodes) {
		this.courseCodes = courseCodes;
	}

	public Course getCourse() {
		return course;
	}

	public void setCourse(Course course) {
		this.course = course;
	}

	public CourseProperty getCourseProperty() {
		return courseProperty;
	}

	public void setCourseProperty(CourseProperty courseProperty) {
		this.courseProperty = courseProperty;
	}

	public YunkaiImportPaperParam(User user, MultipartFile dataFile, Long rootOrgId, List<String> courseCodes) {
		super();
		this.user = user;
		this.dataFile = dataFile;
		this.rootOrgId = rootOrgId;
		this.courseCodes = courseCodes;
	}

	public String getBatch() {
		return batch;
	}

	public void setBatch(String batch) {
		this.batch = batch;
	}

}
